Skip to content
Permalink
Browse files

Merge pull request #1097 from daspilker/JENKINS-43637

Un-deprecated support for the PostBuildScript plugin
  • Loading branch information...
daspilker committed Jan 27, 2018
2 parents 465b8b7 + 7e54627 commit ef3a5831d774ef8597727ab7e9a5ef18904cf01e
@@ -29,6 +29,9 @@ Browse the Jenkins issue tracker to see any [open issues](https://issues.jenkins

## Release Notes
* 1.68 (unreleased)
* Un-deprecated support for the
[PostBuildScript Plugin](https://wiki.jenkins-ci.org/display/JENKINS/PostBuildScript+Plugin)
([JENKINS-43637](https://issues.jenkins-ci.org/browse/JENKINS-43637))
* 1.67 (January 26 2018)
* Allow import of Groovy code from the workspace when script security sandbox is enabled
([#1078](https://github.com/jenkinsci/job-dsl-plugin/pull/1078))
@@ -95,12 +95,6 @@ The [Active Choices Plugin](https://wiki.jenkins-ci.org/display/JENKINS/Active+C
Update Center due to [Security Vulnerabilities](https://jenkins.io/security/advisory/2017-04-10/). As a consequence the
DSL support is [[deprecated|Deprecation-Policy]] and will be removed.

### PostBuildScript Plugin

The [PostBuildScript Plugin](https://wiki.jenkins-ci.org/display/JENKINS/PostBuildScript+Plugin) has been removed from
the Update Center due to [Security Vulnerabilities](https://jenkins.io/security/advisory/2017-04-10/). As a consequence
the DSL support is [[deprecated|Deprecation-Policy]] and will be removed.

### ArtifactDeployer Plugin

The [ArtifactDeployer Plugin](https://wiki.jenkins-ci.org/display/JENKINS/ArtifactDeployer+Plugin) has been removed from
@@ -1299,7 +1299,6 @@ class PublisherContext extends AbstractExtensibleContext {
* @since 1.31
*/
@RequiresPlugin(id = 'postbuildscript', minimumVersion = '0.17')
@Deprecated
void postBuildScripts(@DslContext(PostBuildScriptsContext) Closure closure) {
PostBuildScriptsContext context = new PostBuildScriptsContext(jobManagement, item)
ContextHelper.executeInContext(closure, context)
@@ -3608,7 +3608,6 @@ class PublisherContextSpec extends Specification {
markBuildUnstable[0].value() == false
}
1 * jobManagement.requireMinimumPluginVersion('postbuildscript', '0.17')
1 * jobManagement.logDeprecationWarning()
}

def 'call post build scripts with all options'() {
@@ -3633,7 +3632,6 @@ class PublisherContextSpec extends Specification {
markBuildUnstable[0].value() == value
}
1 * jobManagement.requireMinimumPluginVersion('postbuildscript', '0.17')
1 * jobManagement.logDeprecationWarning()

where:
value << [true, false]
@@ -3659,7 +3657,6 @@ class PublisherContextSpec extends Specification {
executeOn[0].value() == 'BOTH'
}
1 * jobManagement.requireMinimumPluginVersion('postbuildscript', '0.17')
1 * jobManagement.logDeprecationWarning()
}

def 'call post build scripts with all options and matrix job'() {
@@ -3690,7 +3687,6 @@ class PublisherContextSpec extends Specification {
executeOn[0].value() == mode
}
1 * jobManagement.requireMinimumPluginVersion('postbuildscript', '0.17')
1 * jobManagement.logDeprecationWarning()

where:
mode << ['MATRIX', 'AXES', 'BOTH']

0 comments on commit ef3a583

Please sign in to comment.
You can’t perform that action at this time.